﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1065: ADJ IEEE /4805
DATE:                  2017-03-20 11:02:56
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       46
NUMBER OF LINES:       1868
CONFIGURATION:         Datron 4805 (KVR,ACV,DCV,CUR,RES)
=============================================================================
#
#  Source:          Calibration & Servicing Handbook
#                   Part Number 850047
#                   Issue 3 (SEPT.1984)
#
#                   Portocal II
#                   Adjustment
#                   Datron 1065
#                   Version 1.10
#                   Full Adjustment Procedure
#
#  Compatibility:   MET/CAL 6.11A or later
#
#  Additional equipment Required:
#                   1 Short Link
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Registers Used
#                M[1]   = Average Readings Counter (Adjustment)
#                M[2]   = Readings to Discard   (Adjustment)
#                M[3]   = Sum of Averages   (Adjustment)
#                M[4]   = Average of Readings (Adjustment)
#                M[6]   = First Delimited Value to Identify Option 12
#                M[7]   = Second Delimited Value to Identify Option 12
#                M[10]  = Number of Readings Reqd (Adjustment)
#                M[101] = Adjustment Retry Counter
#                M[102] = Invalid Measurement Counter
#                M[103] = Units Multiplier
#                M[104] = Tolerance
#                M[105] = Tight Tolerance % Multiplier
#                M[106] = Delay Time Remain Counter
#                M[107] = Tight Limit Calculated
#                M[255] = Delay Time (s)
#                S[2]   = Range String
#                S[10]  = DCV Function Selected
#                S[11]  = ACV Function Selectied
#                S[12]  = Resistance Function Selected
#                S[13]  = DCI Function Selected
#                S[14]  = ACI Function Selected
#                S[20]  = DCV Function Option Fitted
#                S[21]  = ACV Function Option Fitted
#                S[22]  = Resistance Function Option Fitted
#                S[23]  = DCI Function Option Fitted
#                S[24]  = ACI Function Option Fitted
#                S[25]  = Message to explain that Option 12 is not supported.
#                S[32]  = Delay Time Message
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  HEAD         Test Equipment Requirements
  1.007  DISP         [32]This procedure requires the following
  1.007  DISP         [32]test equipment:
  1.007  DISP
  1.007  DISP         One Short Link


  1.008  PIC          1081back
  1.009  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.009  DISP         Warm Up period.
  1.010  PIC          1081_enb

# Metcal Initial Setup
  1.011  IEEE         [SRQ OFF]

# Initial UUT Setup
#  1.002  IEEE         O0Q1T2W0
  1.012  IEEE         O0
  1.013  IEEE         Q1
  1.014  IEEE         T2
  1.015  IEEE         W1
  1.016  IEEE         I0
  1.017  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.018  MATH         S[20]="DC Voltage"

  1.019  HEAD         Identify Options Fitted

# AC Voltage
  1.020  MATH         S[21]="AC Voltage"
  1.021  IEEE         F2[D1000]
  1.022  IEEE         [SPL80]
  1.023  JMPL         RES_OPT  MEM != 80
  1.024  MATH         S[21]=""

# Resistance
  1.025  LABEL        RES_OPT
  1.026  MATH         S[22]="Resistance"
  1.027  IEEE         F1[D1000]
  1.028  IEEE         [SPL80]
  1.029  JMPL         DISP_OPT MEM != 80
  1.030  MATH         S[22]=""


  1.031  LABEL        DISP_OPT
  1.032  DISP         1065 With Functions Fitted:
  1.032  DISP         [32]                        [S20]
  1.032  DISP         [32]                        [S21]
  1.032  DISP         [32]                        [S22]



  1.033  RSLT         =1065 With Functions Fitted:
  1.034  RSLT         =[32]              [S20]
  1.035  RSLT         =[32]              [S21]
  1.036  RSLT         =[32]              [S22]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.037  LABEL        Begin

#Load Registers with Options Fitted
  1.038  MATH         S[10] = S[20]
  1.039  MATH         S[11] = S[21]
  1.040  MATH         S[12] = S[22]

  1.041  HEAD         Function Selection
  1.042  OPBR         [32] Do you wish to run the whole procedure?
  1.043  JMPL         Run_Some MEM1 ==-1
  1.044  JMPL         Finish_Selection

  1.045  LABEL        Run_Some
  1.046  OPBR         Do you want to run the [S10] Performance
  1.046  OPBR         Verification tests?
  1.047  JMPL         ACV MEM1==1
  1.048  MATH         S[10] = ""

  1.049  LABEL        ACV
  1.050  JMPL         RES CMPI ("",S[11]) == 1
  1.051  OPBR         Do you want to run the [S11]
  1.051  OPBR         Performance Verification tests?
  1.052  JMPL         RES MEM1==1
  1.053  MATH         S[11] = ""

  1.054  LABEL        RES
  1.055  JMPL         Finish_Selection CMPI ("",S[12]) == 1
  1.056  OPBR         Do you want to run the [S12]
  1.056  OPBR         Performance Verification tests?
  1.057  JMPL         Finish_Selection  MEM1==1
  1.058  MATH         S[12] = ""


#Display Selections Chosen
  1.059  LABEL        Finish_Selection

  1.060  OPBR         [32]Performance Tests Chosen:
  1.060  OPBR         [32]                 [S10]
  1.060  OPBR         [32]                 [S11]
  1.060  OPBR         [32]                 [S12]
  1.060  OPBR
  1.060  OPBR         (YES to continue/ NO to reselect)
  1.061  JMPL         Begin MEM1==-1

  1.062  4805         *                                                 S
  1.063  IEEE         W1


#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.064  JMPL         SKIP_DCV  CMPI ("DC Voltage",S[10]) != 1

  1.065  RSLT         =
  1.066  HEAD         {Function: DC Voltage}
  1.067  TARGET       -p

# Measurement Setup
  1.068  VSET         NTHROW = 1 NMEAS = 5

# UUT Setup Filter when Carrying out Adjustment
  1.069  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
  1.070  MATH         S[27] = "C0"

  1.071  MATH         MEM1  = 0


# ***************** 10V RANGE LINEARITY ****************
  1.072  ASK-                              U

  1.073  PIC          1065shrt

# Set String Registers:        Range          Units
  1.074  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  1.075  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
  1.076  RSLT         =
  1.077  RSLT         =10V Range Linearity
  1.078  IEEE         F3R4C1A2


# Setup Registers      Delay Time      Message
  1.079  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  1.080  MATH         M[104] = .001

# 48xx Setup
  1.081  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  1.082  MATH         M[10] = 1       ; M[2] = 1

#                    Tight Tol Percnt.;    Lin
  1.083  MATH         M[105]  = 40    ;    S[30] = "G4"

  1.084  CALL         Sub Datron 10xx Cal Adjust IEEE
  1.085  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  1.086  IEEE         [D2000]
  1.087  MATH         M[4] = ABS(M[4] * 1e4)
  1.088  EVAL   -e   (M[4]) < (M[104] * 1e4):Lin Reading [M4] < 10 Digits


 # ***************** 10V RANGE ****************
  2.001  ASK+                              U
  2.002  PIC          1065term

# Set String Registers:        Range          Units
  2.003  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  2.004  MATH         M[103] = 1

# UUT Setup to 10V Range
  2.005  RSLT         =
  2.006  RSLT         =10V Range
  2.007  IEEE         F3R4C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  2.008  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  2.009  MATH         M[104] = 0.0001

# 48xx Setup
  2.010  M4805  RNGLK 10V
  2.011  4805         0V                                                S  2W
  2.012  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  2.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  2.014  MATH         M[105]  = 40    ;    S[30] = "G0"
  2.015  CALL         Sub Datron 10xx Cal Adjust IEEE
  2.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  2.017  IEEE         [D2000]

# Take Reading
  2.018  TARGET       -m
  2.019  CALL         Sub Datron 10xx Take Reading IEEE
  2.020  MEMCX        +0.0000V       M104U

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
  3.001  MATH         M[255] = 10

# Set Tolerance
  3.002  MATH         M[104] = 0.0003

# 48xx Setup
  3.003  M4805  RNGLK 10V
  3.004  4805         10V                                               S  2W
  3.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  3.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  3.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  3.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  3.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  3.010  IEEE         [D2000]

# Take Reading
  3.011  TARGET       -m
  3.012  CALL         Sub Datron 10xx Take Reading IEEE
  3.013  MEMCX        10.0000V       M104U


# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
  4.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  4.002  MATH         M[104] = 0.0001

# 48xx Setup
  4.003  M4805  RNGLK 10V
  4.004  4805         0V                                          -Z    S  2W
  4.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  4.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  4.007  MATH         M[105]  = 40    ;    S[30] = "G0"
  4.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  4.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  4.010  IEEE         [D2000]

# Take Reading
  4.011  TARGET       -m
  4.012  CALL         Sub Datron 10xx Take Reading IEEE
  4.013  MEMCX        -0.0000V       M104U

# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
  5.001  MATH         M[255] = 10

# Set Tolerance
  5.002  MATH         M[104] = 0.0003

# 48xx Setup
  5.003  M4805  RNGLK 10V
  5.004  4805         -10V                                              S  2W
  5.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  5.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  5.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  5.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  5.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  5.010  IEEE         [D2000]

# Take Reading
  5.011  TARGET       -m
  5.012  CALL         Sub Datron 10xx Take Reading IEEE
  5.013  MEMCX        -10.0000V      M104U




# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
  6.001  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  6.002  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  6.003  RSLT         =
  6.004  RSLT         =100 mV Range
  6.005  IEEE         F3R2C0A2

# ********************* + 0 mV Output ********************************

# Setup Registers      Delay Time      Message
  6.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
  6.007  MATH         M[104] = 0.003

# 48xx Setup
  6.008  M4805  RNGLK 100mV
  6.009  4805         0mV                                               S  2W
  6.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  6.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  6.012  MATH         M[105]  = 40    ;    S[30] = "G0"

  6.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  6.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  6.015  IEEE         [D2000]

# Take Reading
  6.016  TARGET       -m
  6.017  CALL         Sub Datron 10xx Take Reading IEEE
  6.018  MEMCX        +0.000mV       M104U


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  7.001  MATH         M[255] = 10

# Set Tolerance
  7.002  MATH         M[104] = 0.005

# 48xx Setup
  7.003  M4805  RNGLK 100mV
  7.004  4805         100mV                                             S  2W
  7.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  7.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Gain Cal
  7.007  MATH         M[105]  = 20    ;    S[30] = "G1"

  7.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  7.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  7.010  IEEE         [D2000]


# Take Reading
  7.011  TARGET       -m
  7.012  CALL         Sub Datron 10xx Take Reading IEEE
  7.013  MEMCX        100.000mV      M104U

# ********************* - 0 mV Output ********************************

# Setup Registers      Delay Time
  8.001  MATH         M[255] = 10

# Set Tolerance
  8.002  MATH         M[104] = 0.003

# 48xx Setup
  8.003  M4805  RNGLK 100mV
  8.004  4805         0mV                                         -Z    S  2W
  8.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  8.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  8.007  MATH         M[105]  = 40    ;    S[30] = "G0"
  8.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  8.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  8.010  IEEE         [D2000]

# Take Reading
  8.011  TARGET       -m
  8.012  CALL         Sub Datron 10xx Take Reading IEEE
  8.013  MEMCX        -0.000mV       M104U

# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  9.001  MATH         M[255] = 10

# Set Tolerance
  9.002  MATH         M[104] = 0.005

# 48xx Setup
  9.003  M4805  RNGLK 100mV
  9.004  4805         -100mV                                            S  2W
  9.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
  9.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  9.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  9.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  9.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  9.010  IEEE         [D2000]

# Take Reading
  9.011  TARGET       -m
  9.012  CALL         Sub Datron 10xx Take Reading IEEE
  9.013  MEMCX        -100.000mV     M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 10.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 10.002  MATH         M[103] = 1

# UUT Setup to 1V Range
 10.003  RSLT         =
 10.004  RSLT         =1V Range
 10.005  IEEE         F3R3C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 10.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 10.007  MATH         M[104] = 0.00001

# 48xx Setup
 10.008  M4805  RNGLK 1V
 10.009  4805         0V                                                S  2W
 10.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 10.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 10.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 10.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 10.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 10.015  IEEE         [D2000]

# Take Reading
 10.016  TARGET       -m
 10.017  CALL         Sub Datron 10xx Take Reading IEEE
 10.018  MEMCX        +0.00000V      M104U

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
 11.001  MATH         M[255] = 10

# Set Tolerance
 11.002  MATH         M[104] = 0.00003

# 48xx Setup
 11.003  M4805  RNGLK 1V
 11.004  4805         1V                                                S  2W
 11.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 11.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 11.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 11.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 11.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 11.010  IEEE         [D2000]

# Take Reading
 11.011  TARGET       -m
 11.012  CALL         Sub Datron 10xx Take Reading IEEE
 11.013  MEMCX        1.00000V       M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 12.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 12.002  MATH         M[104] = 0.00001

# 48xx Setup
 12.003  M4805  RNGLK 1V
 12.004  4805         0V                                          -Z    S  2W
 12.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 12.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 12.007  MATH         M[105]  = 40    ;    S[30] = "G0"
 12.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 12.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 12.010  IEEE         [D2000]

# Take Reading
 12.011  TARGET       -m
 12.012  CALL         Sub Datron 10xx Take Reading IEEE
 12.013  MEMCX        -0.00000V      M104U

# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
 13.001  MATH         M[255] = 10

# Set Tolerance
 13.002  MATH         M[104] = 0.00003

# 48xx Setup
 13.003  M4805  RNGLK 1V
 13.004  4805         -1V                                               S  2W
 13.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 13.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 13.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 13.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 13.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 13.010  IEEE         [D2000]

# Take Reading
 13.011  TARGET       -m
 13.012  CALL         Sub Datron 10xx Take Reading IEEE
 13.013  MEMCX        -1.00000V      M104U




# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 14.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 14.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 14.003  RSLT         =
 14.004  RSLT         =100 V Range
 14.005  IEEE         F3R5C0A2


# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 14.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 14.007  MATH         M[104] = 0.001

# 48xx Setup
 14.008  M4805  RNGLK 100V
 14.009  4805         0V                                                S  2W
 14.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 14.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 14.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 14.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 14.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 14.015  IEEE         [D2000]

# Take Reading
 14.016  TARGET       -m
 14.017  CALL         Sub Datron 10xx Take Reading IEEE
 14.018  MEMCX        +0.000V        M104U

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 15.001  MATH         M[255] = 10

# Set Tolerance
 15.002  MATH         M[104] = 0.004

# 48xx Setup
 15.003  M4805  RNGLK 100V
 15.004  4805         100V                                              S  2W
 15.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 15.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 15.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 15.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 15.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 15.010  IEEE         [D2000]

# Take Reading
 15.011  TARGET       -m
 15.012  CALL         Sub Datron 10xx Take Reading IEEE
 15.013  MEMCX        100.000V       M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 16.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 16.002  MATH         M[104] = 0.001

# 48xx Setup
 16.003  M4805  RNGLK 100V
 16.004  4805         0V                                          -Z    S  2W
 16.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 16.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 16.007  MATH         M[105]  = 40    ;    S[30] = "G0"
 16.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 16.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 16.010  IEEE         [D2000]

# Take Reading
 16.011  TARGET       -m
 16.012  CALL         Sub Datron 10xx Take Reading IEEE
 16.013  MEMCX        -0.000V        M104U

# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 17.001  MATH         M[255] = 10

# Set Tolerance
 17.002  MATH         M[104] = 0.004

# 48xx Setup
 17.003  M4805  RNGLK 100V
 17.004  4805         -100V                                             S  2W
 17.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 17.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 17.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 17.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 17.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 17.010  IEEE         [D2000]

# Take Reading
 17.011  TARGET       -m
 17.012  CALL         Sub Datron 10xx Take Reading IEEE
 17.013  MEMCX        -100.000V      M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 18.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 18.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 18.003  RSLT         =
 18.004  RSLT         =1000V Range
 18.005  IEEE         F3R6C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 18.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 18.007  MATH         M[104] = 0.01

# 48xx Setup
 18.008  M4805  RNGLK 1000V
 18.009  4805         0V                                                S  2W
 18.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 18.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 18.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 18.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 18.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 18.015  IEEE         [D2000]

# Take Reading
 18.016  TARGET       -m
 18.017  CALL         Sub Datron 10xx Take Reading IEEE
 18.018  MEMCX        +0.00V         M104U

# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 19.001  MATH         M[255] = 10

# Set Tolerance
 19.002  MATH         M[104] = 0.04

# 48xx Setup
 19.003  M4805  RNGLK 1000V
 19.004  4805         1000V                                             S  2W
 19.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 19.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 19.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 19.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 19.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 19.010  IEEE         [D2000]

# Take Reading
 19.011  TARGET       -m
 19.012  CALL         Sub Datron 10xx Take Reading IEEE
 19.013  MEMCX        1000.00V       M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 20.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 20.002  MATH         M[104] = 0.01

# 48xx Setup
 20.003  M4805  RNGLK 1000V
 20.004  4805         0V                                          -Z    S  2W
 20.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 20.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 20.007  MATH         M[105]  = 40    ;    S[30] = "G0"
 20.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 20.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 20.010  IEEE         [D2000]

# Take Reading
 20.011  TARGET       -m
 20.012  CALL         Sub Datron 10xx Take Reading IEEE
 20.013  MEMCX        -0.00V         M104U

# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 21.001  MATH         M[255] = 10

# Set Tolerance
 21.002  MATH         M[104] = 0.04

# 48xx Setup
 21.003  M4805  RNGLK 1000V
 21.004  4805         -1000V                                            S  2W
 21.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 21.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 21.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 21.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 21.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 21.010  IEEE         [D2000]

# Take Reading
 21.011  TARGET       -m
 21.012  CALL         Sub Datron 10xx Take Reading IEEE
 21.013  MEMCX        -1000.00V      M104U


# Rest After High Voltage
 22.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 22.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 22.003  CALL         Sub Wait

 22.004  LABEL        SKIP_DCV
#**************************** AC VOLTAGE *******************************
#***********************************************************************
 22.005  JMPL         SKIP_ACV  CMPI ("AC Voltage",S[11])!= 1

 22.006  RSLT         =
 22.007  HEAD         {Function: AC Voltage}
 22.008  TARGET       -p

# Measurement Setup
 22.009  VSET         NTHROW = 1 NMEAS = 5


 22.010  PIC          1065shrt

# UUT Setup Filter when Carrying out Adjustment
 22.011  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 22.012  MATH         S[27] = "C1"



 22.013  ASK-                              U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 22.014  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 22.015  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 22.016  RSLT         =
 22.017  RSLT         =1V Range
 22.018  IEEE         F2R3C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 22.019  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 22.020  MATH         M[104] = 0.0005

# 48xx Setup

 22.021  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 22.022  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 22.023  MATH         M[105]  = 5    ;    S[30] = "G0"

 22.024  CALL         Sub Datron 10xx Cal Adjust IEEE
 22.025  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 22.026  IEEE         [D2000]

# Take Reading
 22.027  TARGET       -m
 22.028  CALL         Sub Datron 10xx Take Reading IEEE
 22.029  MEMCX        +0.00000V      M104U

# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 23.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 23.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 23.003  RSLT         =
 23.004  RSLT         =10V Range
 23.005  IEEE         F2R4C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 23.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 23.007  MATH         M[104] = 0.005

# 48xx Setup

 23.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 23.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 23.010  MATH         M[105]  = 5     ;    S[30] = "G0"

 23.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 23.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 23.013  IEEE         [D2000]

# Take Reading
 23.014  TARGET       -m
 23.015  CALL         Sub Datron 10xx Take Reading IEEE
 23.016  MEMCX        +0.0000V       M104U

# ***************** 100V RANGE ****************

# Set String Registers:        Range          Units
 24.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 24.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 24.003  RSLT         =
 24.004  RSLT         =100V Range
 24.005  IEEE         F2R5C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 24.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 24.007  MATH         M[104] = 0.050

# 48xx Setup

 24.008  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 24.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 24.010  MATH         M[105]  = 5    ;    S[30] = "G0"

 24.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 24.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 24.013  IEEE         [D2000]

# Take Reading
 24.014  TARGET       -m
 24.015  CALL         Sub Datron 10xx Take Reading IEEE
 24.016  MEMCX        +0.000V        M104U

# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 25.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 25.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 25.003  RSLT         =
 25.004  RSLT         =1000V Range
 25.005  IEEE         F2R6C0A2

# *********************  0 V  Output ********************************

# Setup Registers      Delay Time      Message
 25.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 25.007  MATH         M[104] = 0.5

# 48xx Setup
 25.008  M4805  RNGLK 1000V
 25.009  4805         0mV                                               S  2W
 25.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 25.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 25.012  MATH         M[105]  = 5    ;    S[30] = "G0"

 25.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 25.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 25.015  IEEE         [D2000]

# Take Reading
 25.016  TARGET       -m
 25.017  CALL         Sub Datron 10xx Take Reading IEEE
 25.018  MEMCX        +0.00V         M104U

 26.001  ASK+                              U
 26.002  PIC          1065term

# UUT Setup Filter when Carrying out Adjustment
 26.003  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 26.004  MATH         S[27] = "C1"


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 26.005  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 26.006  MATH         M[103] = 1

# UUT Setup to 1V Range
 26.007  RSLT         =
 26.008  RSLT         =1V Range
 26.009  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 26.010  MATH         M[255] = 10

# Set Tolerance
 26.011  MATH         M[104] = 0.0009

# 48xx Setup
 26.012  M4805  RNGLK 1V
 26.013  4805         1V                           500H                 S  2W
 26.014  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 26.015  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 26.016  MATH         M[105]  = 20    ;    S[30] = "G1"
 26.017  CALL         Sub Datron 10xx Cal Adjust IEEE
 26.018  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 26.019  IEEE         [D2000]

# Take Reading
 26.020  TARGET       -m
 26.021  CALL         Sub Datron 10xx Take Reading IEEE
 26.022  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 30 kHz Output ********************************

# Setup Registers      Delay Time
 27.001  MATH         M[255] = 10

# Set Tolerance
 27.002  MATH         M[104] = 0.004

# 48xx Setup
 27.003  M4805  RNGLK 1V
 27.004  4805         1V                           30kH                 S  2W
 27.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 27.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 27.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 27.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 27.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 27.010  IEEE         [D2000]

# Take Reading
 27.011  TARGET       -m
 27.012  CALL         Sub Datron 10xx Take Reading IEEE
 27.013  MEMCX        1.00000V       M104U         30kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 28.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 28.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 28.003  RSLT         =
 28.004  RSLT         =10V Range
 28.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 28.006  MATH         M[255] = 10

# Set Tolerance
 28.007  MATH         M[104] = 0.009

# 48xx Setup
 28.008  M4805  RNGLK 10V
 28.009  4805         10V                          500H                 S  2W
 28.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 28.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 28.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 28.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 28.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 28.015  IEEE         [D2000]

# Take Reading
 28.016  TARGET       -m
 28.017  CALL         Sub Datron 10xx Take Reading IEEE
 28.018  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 29.001  MATH         M[255] = 10

# Set Tolerance
 29.002  MATH         M[104] = 0.04

# 48xx Setup
 29.003  M4805  RNGLK 10V
 29.004  4805         10V                          30kH                 S  2W
 29.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 29.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 29.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 29.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 29.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 29.010  IEEE         [D2000]

# Take Reading
 29.011  TARGET       -m
 29.012  CALL         Sub Datron 10xx Take Reading IEEE
 29.013  MEMCX        10.0000V       M104U         30kH



# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 30.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 30.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 30.003  RSLT         =
 30.004  RSLT         =100 V Range
 30.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 30.006  MATH         M[255] = 10

# Set Tolerance
 30.007  MATH         M[104] = 0.09

# 48xx Setup
 30.008  M4805  RNGLK 100V
 30.009  4805         100V                         500H                 S  2W
 30.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 30.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 30.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 30.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 30.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 30.015  IEEE         [D2000]

# Take Reading
 30.016  TARGET       -m
 30.017  CALL         Sub Datron 10xx Take Reading IEEE
 30.018  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 31.001  MATH         M[255] = 10

# Set Tolerance
 31.002  MATH         M[104] = 0.4

# 48xx Setup
 31.003  M4805  RNGLK 100V
 31.004  4805         100V                         30kH                 S  2W
 31.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 31.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 31.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 31.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 31.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 31.010  IEEE         [D2000]

# Take Reading
 31.011  TARGET       -m
 31.012  CALL         Sub Datron 10xx Take Reading IEEE
 31.013  MEMCX        100.000V       M104U         30kH



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 32.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 32.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 32.003  RSLT         =
 32.004  RSLT         =1000 V Range
 32.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 32.006  MATH         M[255] = 10

# Set Tolerance
 32.007  MATH         M[104] =.9

# 48xx Setup
 32.008  M4805  RNGLK 1000V
 32.009  4805         1000V                        500H                 S  2W
 32.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 32.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 32.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 32.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 32.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 32.015  IEEE         [D2000]

# Take Reading
 32.016  TARGET       -m
 32.017  CALL         Sub Datron 10xx Take Reading IEEE
 32.018  MEMCX        1000.00V       M104U         500H

# ********************* 1000V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 33.001  MATH         M[255] = 10

# Set Tolerance
 33.002  MATH         M[104] = 4.00

# 48xx Setup
 33.003  M4805  RNGLK 1000V
 33.004  4805         1000V                        20kH                 S  2W
 33.005  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 33.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 33.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 33.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 33.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 33.010  IEEE         [D2000]

# Take Reading
 33.011  TARGET       -m
 33.012  CALL         Sub Datron 10xx Take Reading IEEE
 33.013  MEMCX        1000.00V       M104U         20kH


# Rest After High Voltage
 34.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 34.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 34.003  CALL         Sub Wait

 34.004  LABEL        SKIP_ACV



#**************************** RESISTANCE *******************************
#***********************************************************************
 34.005  JMPL         SKIP_RES  CMPI ("Resistance",S[12])!= 1

 34.006  RSLT         =
 34.007  HEAD         {Function: Resistance}
 34.008  TARGET       -p

# Measurement Setup
 34.009  VSET         NTHROW = 1 NMEAS = 5


# Set Numeric Register:  Units
 34.010  MATH         M[103] = 1   ; M[108] = 1

# UUT Setup Filter when Carrying out Adjustment
 34.011  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 34.012  MATH         S[27] = "C1"


# ***************** 100 Ohm RANGE ****************

# Set String Registers:        Range          Units
 34.013  MATH         S[2] = "100" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 34.014  MATH         M[103] = 1

# UUT Setup to 10 Ohm Range
 34.015  RSLT         =
 34.016  RSLT         =100 Ohm Range
 34.017  IEEE         F1R2C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 34.018  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 34.019  MATH         M[104] = 0.004

# 48xx Setup
 34.020  M4805        *
 34.021  4805         0Z                                                S  4W
 34.022  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 34.023  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 34.024  MATH         M[105]  = 40    ;    S[30] = "G0"
 34.025  CALL         Sub Datron 10xx Cal Adjust IEEE
 34.026  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 34.027  IEEE         [D2000]

# Take Reading
 34.028  TARGET       -m
 34.029  CALL         Sub Datron 10xx Take Reading IEEE
 34.030  MEMCX        +0.000Z        M104U



# ********************* 100Ohm Output ********************************

# Setup Registers      Delay Time
 35.001  MATH         M[255] = 10

# Set Tolerance
 35.002  MATH         M[104] = 0.007

# 48xx Setup
 35.003  4805         100Z                                              S  4W
 35.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 35.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 35.006  MATH         M[105]  = 20

 35.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E-3"&"G1"

 35.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 35.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 35.010  IEEE         [D2000]

# Take Reading
 35.011  TARGET       -m
 35.012  CALL         Sub Datron 10xx Take Reading IEEE
 35.013  MEMCX        Z              M104U



# ***************** 1 kOhm RANGE ****************

# Set String Registers:        Range          Units
 36.001  MATH         S[2] = "1" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 36.002  MATH         M[103] = 1e3

# UUT Setup to 1 kOhm Range
 36.003  RSLT         =
 36.004  RSLT         =1 kOhm Range
 36.005  IEEE         F1R3C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 36.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 36.007  MATH         M[104] = 0.00001

# 48xx Setup
 36.008  M4805        *
 36.009  4805         0kZ                                               S  4W
 36.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 36.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 36.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 36.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 36.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 36.015  IEEE         [D2000]

# Take Reading
 36.016  TARGET       -m
 36.017  CALL         Sub Datron 10xx Take Reading IEEE
 36.018  MEMCX        +0.00000kZ     M104U



# ********************* 1kOhm Output ********************************

# Setup Registers      Delay Time
 37.001  MATH         M[255] = 10

# Set Tolerance
 37.002  MATH         M[104] = 0.00003

# 48xx Setup
 37.003  4805         1kZ                                               S  4W
 37.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 37.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 37.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 37.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 37.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 37.009  IEEE         [D2000]

# Take Reading
 37.010  TARGET       -m
 37.011  CALL         Sub Datron 10xx Take Reading IEEE
 37.012  MEMCX        kZ             M104U



# ***************** 10 kOhm RANGE ****************

# Set String Registers:        Range          Units
 38.001  MATH         S[2] = "10" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 38.002  MATH         M[103] = 1e3

# UUT Setup to 10 kOhm Range
 38.003  RSLT         =
 38.004  RSLT         =10 kOhm Range
 38.005  IEEE         F1R4C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 38.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 38.007  MATH         M[104] = 0.0001

# 48xx Setup
 38.008  M4805        *
 38.009  4805         0kZ                                               S  4W
 38.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 38.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 38.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 38.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 38.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 38.015  IEEE         [D2000]

# Take Reading
 38.016  TARGET       -m
 38.017  CALL         Sub Datron 10xx Take Reading IEEE
 38.018  MEMCX        +00.0000kZ     M104U



# ********************* 10kOhm Output ********************************

# Setup Registers      Delay Time
 39.001  MATH         M[255] = 10

# Set Tolerance
 39.002  MATH         M[104] = 0.0003

# 48xx Setup
 39.003  4805         10kZ                                              S  4W
 39.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 39.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 39.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 39.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 39.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 39.009  IEEE         [D2000]

# Take Reading
 39.010  TARGET       -m
 39.011  CALL         Sub Datron 10xx Take Reading IEEE
 39.012  MEMCX        kZ             M104U



# ***************** 100 kOhm RANGE ****************

# Set String Registers:        Range          Units
 40.001  MATH         S[2] = "100" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 40.002  MATH         M[103] = 1e3

# UUT Setup to 100 kOhm Range
 40.003  RSLT         =
 40.004  RSLT         =100 kOhm Range
 40.005  IEEE         F1R5C0A2

# *********************  0 kOhm Output ********************************

# Setup Registers      Delay Time      Message
 40.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 40.007  MATH         M[104] = 0.001

# 48xx Setup
 40.008  M4805        *
 40.009  4805         0kZ                                               S  4W
 40.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 40.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 40.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 40.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 40.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 40.015  IEEE         [D2000]

# Take Reading
 40.016  TARGET       -m
 40.017  CALL         Sub Datron 10xx Take Reading IEEE
 40.018  MEMCX        +0.000kZ       M104U



# ********************* 100kOhm Output ********************************

# Setup Registers      Delay Time
 41.001  MATH         M[255] = 10

# Set Tolerance
 41.002  MATH         M[104] = 0.003

# 48xx Setup
 41.003  4805         100kZ                                             S  4W
 41.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 41.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 41.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 41.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 41.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 41.009  IEEE         [D2000]

# Take Reading
 41.010  TARGET       -m
 41.011  CALL         Sub Datron 10xx Take Reading IEEE
 41.012  MEMCX        kZ             M104U



# ***************** 1000 kOhm RANGE ****************

# Set String Registers:        Range          Units
 42.001  MATH         S[2] = "1000" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 42.002  MATH         M[103] = 1e3

# UUT Setup Filter when Carrying out Adjustment
 42.003  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 42.004  MATH         S[27] = "C1"


# UUT Setup to 1000 kOhm Range
 42.005  RSLT         =
 42.006  RSLT         =1000 kOhm Range
 42.007  IEEE         F1R6C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 42.008  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 42.009  MATH         M[104] = 0.01

# 48xx Setup
 42.010  M4805        *
 42.011  4805         0kZ                                               S  4W
 42.012  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 42.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 42.014  MATH         M[105]  = 40    ;    S[30] = "G0"
 42.015  CALL         Sub Datron 10xx Cal Adjust IEEE
 42.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 42.017  IEEE         [D2000]

# Take Reading
 42.018  TARGET       -m
 42.019  CALL         Sub Datron 10xx Take Reading IEEE
 42.020  MEMCX        +0.000kZ       M104U



# ********************* 1000kOhm Output ********************************

# Setup Registers      Delay Time
 43.001  MATH         M[255] = 10

# Set Tolerance
 43.002  MATH         M[104] = 0.11

# 48xx Setup
 43.003  4805         1000kZ                                            S  4W
 43.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 43.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 43.006  MATH         M[105]  = 20

 43.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"G1"

 43.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 43.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 43.010  IEEE         [D2000]

# Take Reading
 43.011  TARGET       -m
 43.012  CALL         Sub Datron 10xx Take Reading IEEE
 43.013  MEMCX        kZ             M104U



# ***************** 10 MOhm RANGE ****************

# Set String Registers:        Range          Units
 44.001  MATH         S[2] = "10" ; S[3]  = "MOhm"

# Set Numeric Register:  Units
 44.002  MATH         M[103] = 1e6

# UUT Setup to 10 MOhm Range
 44.003  RSLT         =
 44.004  RSLT         =10 MOhm Range
 44.005  IEEE         F1R7C1A2

# *********************  0 MOhm Output ********************************

# Setup Registers      Delay Time      Message
 44.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 44.007  MATH         M[104] = 0.0001

# 48xx Setup
 44.008  M4805        *
 44.009  4805         0MZ                                               S  4W
 44.010  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 44.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 44.012  MATH         M[105]  = 40    ;    S[30]= "G0"
 44.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 44.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 44.015  IEEE         [D2000]

# Take Reading
 44.016  TARGET       -m
 44.017  CALL         Sub Datron 10xx Take Reading IEEE
 44.018  MEMCX        +0.0000MZ      M104U



# ********************* 10MOhm Output ********************************

# Setup Registers      Delay Time
 45.001  MATH         M[255] = 10

# Set Tolerance
 45.002  MATH         M[104] = 0.0021

# 48xx Setup
 45.003  4805         10MZ                                              S  4W
 45.004  CALL         Sub Wait

# Set Sub Cal Adjust Registers
#                       Readings      Discards
 45.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 45.006  MATH         M[105]  = 20

 45.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E+3"&"G1"

 45.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 45.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 45.010  IEEE         [D2000]

# Take Reading
 45.011  TARGET       -m
 45.012  CALL         Sub Datron 10xx Take Reading IEEE
 45.013  MEMCX        MZ             M104U


# Rest After High Voltage
 46.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 46.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 46.003  CALL         Sub Wait


 46.004  LABEL        SKIP_RES

 46.005  PIC          1081_dis
 46.006  HEAD         End of Procedure
 46.007  IEEE         W0
 46.008  IEEE         [GTL]
 46.009  DISP         Disconnect all connections and Power Down the UUT.
 46.010  LABEL        END
 46.011  END
